[DEPRECATED] Use form field endpoints instead. Update a specific custom field by id
curl --request PUT \
--url https://api.rootly.com/v1/custom_fields/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "custom_fields",
"attributes": {
"label": "<string>",
"description": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"default": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "custom_fields",
"attributes": {
"label": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"kind": "<string>",
"enabled": true,
"slug": "<string>",
"description": "<string>",
"default": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
custom_field updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/custom_fields/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "custom_fields",
"attributes": {
"label": "<string>",
"description": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"default": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "custom_fields",
"attributes": {
"label": "<string>",
"shown": [
"incident_form"
],
"required": [
"incident_form"
],
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"kind": "<string>",
"enabled": true,
"slug": "<string>",
"description": "<string>",
"default": "<string>"
}
}
}